<template>
  <!-- todo to remove -->

  <div class="flex flex-col items-center gap-8 pt-10 pb-[500px]">
    <p class="text-7xl">Svn Ui Library - Studio</p>

    <!-- Svn Navbars  -->
    <div class="flex flex-col items-center gap-4">
      <p class="text-2xl">Svn Navbars</p>
      <div class="flex flex-col gap-4">
        <svn-studio-navbar
          :items="menuItems"
          :user-avatar="null"
          email="william1@byseven.co"
          user-company-logo="https://learn.byseven.co/logos/points/blackYellowPoints.png"
          @home-button-click="() => {}"
        />
      </div>
    </div>

    <!-- Svn Menus  -->
    <div class="flex flex-col items-center gap-4">
      <p class="text-2xl">Svn Menus</p>
      <p class="text-2xl">Studio</p>
      <div class="flex flex-col gap-4">
        <svn-studio-navbar-menu variant="modal" :items="menuItems" />

        <svn-studio-navbar-menu variant="select" :items="menuItems" />

        <svn-studio-navbar-menu variant="navbar" :items="menuItems" />
      </div>
    </div>

    <!-- Svn Profile -->
    <div class="flex flex-col items-center w-full max-w-[1000px] gap-4">
      <p class="text-2xl">Svn Profile item</p>

      <div
        class="w-full !border-2 border-black rounded p-4 flex justify-center"
      >
        <svn-profile
          app-variant="studio"
          firstname="John"
          lastname="Doe"
          email="john.doe@email.com"
          role="Sevener +"
        />
      </div>

      <div
        class="w-full !border-2 border-black rounded p-4 flex justify-center"
      >
        <svn-profile
          app-variant="studio"
          firstname="John"
          lastname="Doe"
          email="john.doe@email.com"
          role="Sevener +"
          edit
        />
      </div>

      <svn-profile-chip />

      <svn-profile-table-cell />
    </div>

    <!-- Svn Trainer List -->
    <div class="flex flex-col items-center w-full max-w-[1000px] gap-4">
      <p class="text-2xl">Svn Trainer List</p>

      <div
        class="w-full !border-2 border-black rounded p-4 flex justify-center"
      >
        <svn-studio-trainer-list
          :trainers-list="[
            {
              avatar: null,
              firstname: 'John',
              lastname: 'Doe',
            },
            {
              avatar: null,
              firstname: 'Sane',
              lastname: 'Doe',
            },
            {
              avatar: null,
              firstname: 'Paul',
              lastname: 'Doe',
            },
            {
              avatar: null,
              firstname: 'Rick',
              lastname: 'Doe',
            },
            {
              avatar: null,
              firstname: 'Rick',
              lastname: 'Doe',
            },
          ]"
        />
      </div>
    </div>
  </div>
</template>

<script setup>
import SvnProfile from '@/components/profile/SvnProfile.vue';
import SvnAlephNavbar from '@/components/navbar/SvnAlephNavbar.vue';
import SvnStudioNavbarMenu from '@/components/navbar/SvnStudioNavbarMenu.vue';
import SvnProfileTableCell from '@/components/profile/SvnProfileTableCell.vue';
import { ref } from 'vue';
import { useTheme } from 'vuetify';
import SvnStudioNavbar from '@/components/navbar/SvnStudioNavbar.vue';
import SvnStudioTrainerList from '@/components/list/SvnStudioTrainerList.vue';

const theme = useTheme();

const menuItems = ref([
  {
    title: 'my interviews',
    to: 'eazeaz',
  },
  {
    title: 'my team interviews',
    to: 'eazeaze',
  },
  {
    title: 'my campaigns',
    to: 'eazeaz',
  },
  {
    title: 'templates',
    to: 'eazea',
  },
  {
    title: 'reports',
    to: 'ezaea',
  },
]);
</script>
